MezData-Logo Creative Commons License 154 Lösungen Button :JAVA: Ein lustiger Nachmittag mit

Unter Mac OS 10.2.8

Der alte Benzinrechner unter J2SE 1.3.1 mit JBuilder 7 erstellt und so eingebunden:

<applet codebase="." code="benzinrechner/Applet1.class" width="400" height="300" align="top"> </applet>

Ein TestApplet unter Jdk 1.4.1 mit BlueJ erstellt und so eingebunden:

<applet codebase="." code="Scheiss.class"  width="550" height="200"></applet>

Wenn das untere Applet nicht funktioniert dann habt Ihr das Problem auch!

Auf meinem Mac laufen beide Applets mit dem Safari-Browser wunderbar, als ich mir das TestApplet mit dem IE öffnete kam nur eine Fehlermeldung (siehe oben).

Ursache

Mit Jdk 1.4.1 compilierte Klassen wollen von alten VM nicht verarbeitet werden, daher die Fehlermeldung...

Wem geht es noch so?

Wenn die Applets eh nicht mehr auf dem IE laufen, dann kann man ja gleich Swing verwenden...